# gdma

`psi4.driver.``gdma`(wfn, datafile='')

  Function to use wavefunction information in wfn and, if specified, additional commands in filename to run GDMA analysis.

  New in version 0.6.

  Returns: | None

  Parameters:

  - wfn (`Wavefunction`) – set of molecule, basis, orbitals from which to generate DMA analysis
  - datafile (string) – optional control file (see GDMA manual) to peform more complicated DMA analyses. If this option is used, the File keyword must be set to read a filename.fchk, where filename is provided by WRITER_FILE_LABEL .

  Examples: |

      >>> # [1] DMA analysis from MP2 wavefunction.  N.B. gradient must be requested to generate MP2 density.
      >>> grad, wfn = gradient('mp2', return_wfn=True)
      >>> gdma(wfn)